Package org.jboss.resteasy.security.smime

## Class PKCS7SignatureInput<T>

- java.lang.Object
- - org.jboss.resteasy.security.smime.PKCS7SignatureInput<T>

-     public class PKCS7SignatureInput<T>
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PKCS7SignatureInput()` |
    `PKCS7SignatureInput​(byte[] bytes)` | PKS Encoded bytes
    `PKCS7SignatureInput​(String base64)` | Base64 encoded pks bytes.
    `PKCS7SignatureInput​(org.bouncycastle.cms.CMSSignedData data)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Annotation[]` | `getAnnotations()` |
    `X509Certificate` | `getCertificate()` |
    `org.bouncycastle.cms.CMSSignedData` | `getData()` |
    `<T2> T2` | `getEntity​(Class<T2> t, Type gt, Annotation[] ann, javax.ws.rs.core.MediaType mediaType)` |
    `<T2> T2` | `getEntity​(Class<T2> type, javax.ws.rs.core.MediaType mediaType)` |
    `<T2> T2` | `getEntity​(javax.ws.rs.core.GenericType<T2> gt, Annotation[] ann, javax.ws.rs.core.MediaType mediaType)` |
    `<T2> T2` | `getEntity​(javax.ws.rs.core.GenericType<T2> gt, javax.ws.rs.core.MediaType mediaType)` |
    `T` | `getEntity​(javax.ws.rs.core.MediaType mediaType)` |
    `Type` | `getGenericType()` |
    `javax.ws.rs.ext.Providers` | `getProviders()` |
    `PublicKey` | `getPublicKey()` |
    `Class<?>` | `getType()` |
    `void` | `setAnnotations​(Annotation[] annotations)` |
    `void` | `setCertificate​(X509Certificate certificate)` |
    `void` | `setData​(org.bouncycastle.cms.CMSSignedData data)` |
    `void` | `setGenericType​(Type genericType)` |
    `void` | `setProviders​(javax.ws.rs.ext.Providers providers)` |
    `void` | `setPublicKey​(PublicKey publicKey)` |
    `void` | `setType​(Class<?> type)` |
    `void` | `setType​(javax.ws.rs.core.GenericType<?> type)` |
    `boolean` | `verify()` |
    `boolean` | `verify​(X509Certificate certificate)` |
    `boolean` | `verify​(PublicKey publicKey)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput()

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput​(org.bouncycastle.cms.CMSSignedData data)

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput​(String base64)

      Base64 encoded pks bytes.
      Parameters:
        `base64` - Base64 encoded string

    - #### PKCS7SignatureInput

          public PKCS7SignatureInput​(byte[] bytes)

      PKS Encoded bytes
      Parameters:
        `bytes` - data

  - ### Method Detail

    - #### getPublicKey

          public PublicKey getPublicKey()

    - #### setPublicKey

          public void setPublicKey​(PublicKey publicKey)

    - #### getCertificate

          public X509Certificate getCertificate()

    - #### setCertificate

          public void setCertificate​(X509Certificate certificate)

    - #### getType

          public Class<?> getType()

    - #### setType

          public void setType​(Class<?> type)

    - #### setType

          public void setType​(javax.ws.rs.core.GenericType<?> type)

    - #### getGenericType

          public Type getGenericType()

    - #### setGenericType

          public void setGenericType​(Type genericType)

    - #### getData

          public org.bouncycastle.cms.CMSSignedData getData()

    - #### setData

          public void setData​(org.bouncycastle.cms.CMSSignedData data)

    - #### getAnnotations

          public Annotation[] getAnnotations()

    - #### setAnnotations

          public void setAnnotations​(Annotation[] annotations)

    - #### getProviders

          public javax.ws.rs.ext.Providers getProviders()

    - #### setProviders

          public void setProviders​(javax.ws.rs.ext.Providers providers)

    - #### getEntity

          public T getEntity​(javax.ws.rs.core.MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity​(Class<T2> type,
                                   javax.ws.rs.core.MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity​(javax.ws.rs.core.GenericType<T2> gt,
                                   javax.ws.rs.core.MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity​(javax.ws.rs.core.GenericType<T2> gt,
                                   Annotation[] ann,
                                   javax.ws.rs.core.MediaType mediaType)

    - #### getEntity

          public <T2> T2 getEntity​(Class<T2> t,
                                   Type gt,
                                   Annotation[] ann,
                                   javax.ws.rs.core.MediaType mediaType)

    - #### verify

          public boolean verify()
                         throws Exception

      Throws:
        `Exception`

    - #### verify

          public boolean verify​(X509Certificate certificate)
                         throws Exception

      Throws:
        `Exception`

    - #### verify

          public boolean verify​(PublicKey publicKey)
                         throws Exception

      Throws:
        `Exception`